@echo off
REM orig file is C:\xampp\apache\makecert.bat
REM make cert .pem for IMWS

set OPENSSL_CONF=./conf/openssl.cnf

if not exist .\conf\ssl.crt_imws mkdir .\conf\ssl.crt_imws
if not exist .\conf\ssl.key_imws mkdir .\conf\ssl.key_imws

bin\openssl genrsa -des3 -out server.key 2048
bin\openssl req -new -sha256 -key server.key -out server.csr
copy server.key server.key.orig
bin\openssl rsa -in server.key.orig -out server.key
bin\openssl x509 -in server.csr -out server.crt -req -signkey server.key -days 365

copy server.crt server.pem
type server.key >> server.pem

set OPENSSL_CONF=
del .rnd
del privkey.pem
del server.csr

move /y server.crt .\conf\ssl.crt_imws
move /y server.pem .\conf\ssl.crt_imws
move /y server.key .\conf\ssl.key_imws

echo.
echo -----
echo done
echo.
pause
